summaryrefslogtreecommitdiffstats
path: root/regress
diff options
context:
space:
mode:
authorNicholas Marriott <nicholas.marriott@gmail.com>2017-05-28 20:15:45 +0100
committerNicholas Marriott <nicholas.marriott@gmail.com>2017-05-28 20:15:45 +0100
commit1e1e0f1fbb3c0c3f271649ceaeb2f02f564dd461 (patch)
treeca80a443bcee92b5d666d4badb36e9ae9a6de19d /regress
parenteb1f3626874866e3da83189d0a80741ceebfe0d5 (diff)
Add test for -x and -y too.
Diffstat (limited to 'regress')
-rw-r--r--regress/control-client-size.sh12
1 files changed, 11 insertions, 1 deletions
diff --git a/regress/control-client-size.sh b/regress/control-client-size.sh
index 8ae61a5d..cef48a0e 100644
--- a/regress/control-client-size.sh
+++ b/regress/control-client-size.sh
@@ -1,7 +1,8 @@
#!/bin/sh
# 947
-# size in control mode should change after refresh-client -C
+# size in control mode should change after refresh-client -C, and -x and -y
+# should work without -d for control clients
PATH=/bin:/usr/bin
TERM=screen
@@ -36,4 +37,13 @@ grep ^: $TMP >$OUT
printf ":80 24\n:80 24\n"|cmp -s $OUT || exit 1
$TMUX kill-server 2>/dev/null
+cat <<EOF|$TMUX -C new -x 100 -y 50 >$TMP
+ls -F':#{session_width} #{session_height}'
+refresh -C 80,24
+ls -F':#{session_width} #{session_height}'
+EOF
+grep ^: $TMP >$OUT
+printf ":100 50\n:80 24\n"|cmp -s $OUT || exit 1
+$TMUX kill-server 2>/dev/null
+
exit 0